<?php
///////////////////////////////////////////////////////////////////////////////////////
// PHPizabi 0.848b C1 [ALICIA]                               http://www.phpizabi.net //
///////////////////////////////////////////////////////////////////////////////////////
// Please read the license.txt file before using / modifying this software           //
// Original author:         Claude Desjardins, R - feedback@realitymedias.com        //
// Last modification date:  February 21th 2007                                       //
// Version:                 PHPizabi 0.848b C1                                       //
//                                                                                   //
// (C) 2005, 2007 Real!ty Medias / PHPizabi - All rights reserved                    //
///////////////////////////////////////////////////////////////////////////////////////

	class t_command extends triton {
		function runCommand($param, $channel=NULL) {
	
			die();
			
			$reservedNickNames = array('system', 'x', 'root', 'admin', 'administrator', 'channel');
			
			/* Parameter set? */
			if (isset($param[1])) {
				/* Legal nickname? */
				if (preg_match('/\\b[A-Z0-9_\\-]{0,9}\\b/i', $param[1])) {
					/* Not reserved? */
					if (!in_array(strtolower($param[1]), $reservedNickNames)) {
						/* Not the actual nickname? */
						if ($param[1] != $this -> nickname) {
	
							/* Do it! */
							$_SESSION["triton"]["nickname"] = $param[1];
							$this -> sysMsg('SYS_NICK', array($this -> nickname, $param[1]));
							
						}
					} else $this -> localEcho('ERR_RESERVEDNICK', array($param[1]));
				}
				else $this -> localEcho('ERR_NICKFORMAT', array($param[1]));
			}
			else $this -> localEcho('ERR_PARAMCOUNT', array($param[0]));
		}
	}

?>